Skip to main content
GET
/
security
/
notifier
/
v1
/
event_logs
Event Logs Clients View
curl --request GET \
  --url https://api.gcore.com/security/notifier/v1/event_logs \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.gcore.com/security/notifier/v1/event_logs"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.gcore.com/security/notifier/v1/event_logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "client_id": 123,
      "notification_type": "<string>",
      "attack_start_time": "2023-11-07T05:31:56Z",
      "attack_power_bps": 123,
      "attack_power_pps": 123,
      "number_of_ip_involved_in_attack": 123,
      "targeted_ip_addresses": "<string>"
    }
  ],
  "count": 1,
  "limit": 2,
  "offset": 1
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Query Parameters

date_from
default:2024-01-23
date_to
default:2025-01-23
alert_type
enum<string> | null
Available options:
ddos_alert,
rtbh_alert
targeted_ip_addresses
string | null
ordering
enum<string>
default:attack_start_time
Available options:
attack_start_time,
-attack_start_time,
attack_power_bps,
-attack_power_bps,
attack_power_pps,
-attack_power_pps,
number_of_ip_involved_in_attack,
-number_of_ip_involved_in_attack,
alert_type,
-alert_type
limit
integer
default:10
Required range: 1 <= x <= 500
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

results
EventLogClientsOutSchema · object[]
required
count
integer | null
required
Required range: x >= 0
limit
integer | null
required
Required range: x >= 1
offset
integer | null
required
Required range: x >= 0